import QtQuick 2.5

Item {
    Image{
        id:obrazok1
        y:hlavne.height/20
        x:hlavne.width/20
        sourceSize.width: hlavne.height/12
        fillMode: Image.PreserveAspectFit
        source: "qrc:/Obrazky/mojDom"
    }
    Text{
        text: "Dom"
        font.pointSize: hlavne.height/15
        y:hlavne.height/20
        anchors.left: obrazok1.right
    }
    anchors.fill: parent
    Image{
        anchors.centerIn: parent
        anchors.bottom: parent.bottom
        sourceSize.height: parent.height*0.7
        fillMode: Image.PreserveAspectFit
        source: "qrc:/Obrazky/mojDom.svg"
        Image{
            id:lampa1
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: spalna ? "qrc:/Obrazky/svetloZap.png" : "qrc:/Obrazky/svetloVyp.png"
            x:parent.height/6
            y: parent.height/5
        }
        Image{
            id:lampa2
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: kuchyna ? "qrc:/Obrazky/svetloZap.png" : "qrc:/Obrazky/svetloVyp.png"
            x:parent.height/3.3
            y: parent.height/1.5
        }
        Image{
            id:lampa3
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: chodba? "qrc:/Obrazky/svetloZap.png" : "qrc:/Obrazky/svetloVyp.png"
            x:parent.height/1.6
            y: parent.height/3
        }
        Image{
            id:lampa4
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: kotolna ? "qrc:/Obrazky/svetloZap.png" : "qrc:/Obrazky/svetloVyp.png"
            x:parent.height/1.6
            y: parent.height/13
        }
        Image{
            id:lampa5
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: kupelka? "qrc:/Obrazky/svetloZap.png" : "qrc:/Obrazky/svetloVyp.png"
            x:parent.height/1.1
            y: parent.height/3
        }
        Image{
            id:lampa6
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: osvetleniechodnika ? "qrc:/Obrazky/svetloZap.png" : "qrc:/Obrazky/svetloVyp.png"
            x:parent.height/1.2
            y: parent.height/1.5
        }
        Image{
            id:pirdnuka
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: pirDnu? "qrc:/Obrazky/pirZap.png" : "qrc:/Obrazky/pirVyp.png"
            x:parent.height/2.1
            y: parent.height/3
        }
        Image{
            id:pirvonka
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: pirVon? "qrc:/Obrazky/pirZap.png" : "qrc:/Obrazky/pirVyp.png"
            x:parent.height/1.4
            y: parent.height/1.5
        }
        Image{
            id:sohen
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: !horiii? "qrc:/Obrazky/sohenZap.png" : "qrc:/Obrazky/sohenVyp.png"
            x:parent.height/2.1
            y: parent.height/16
        }
        Image{
            id:svoda
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: senzorVody != "1023" ? "qrc:/Obrazky/svodyZap.png" : "qrc:/Obrazky/svodyVyp.png"
            x:parent.height/1.1
            y: parent.height/16
        }
        Image{
            id:vodaa
            sourceSize.height: parent.height/9
            fillMode: Image.PreserveAspectFit
            source: auto ? "qrc:/Obrazky/autoZap.png" : "qrc:/Obrazky/autoVyp.png"
            x:parent.width/1.15
            y: parent.height/16
        }
        Image{
            id:vodicka
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: zavlazovaniebool? "qrc:/Obrazky/zavlazovanieZap.png" : "qrc:/Obrazky/zavlazovanieVyp.png"
            x:parent.width/1.4
            y: parent.height/3
        }
        Image{
            id:branaVchod
            width: parent.width/3
            height: parent.height/7
            source: branavchod ? "qrc:/Obrazky/vchodbrana.svg" : "qrc:/Obrazky/vchodbranaZ.svg"
            x:parent.width/1.5
            y: parent.height*0.9
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    if(branavchod){
                        webserver.url = adresaURL+"?bz1"
                    }
                    else webserver.url = adresaURL+"?bo1"
                }

            }
        }
        Image{
            id:kureniepec
            sourceSize.height: parent.height/7
            fillMode: Image.PreserveAspectFit
            source: kureniebool ? "qrc:/Obrazky/ohenZap.png" : "qrc:/Obrazky/ohenVyp.png"
            x:parent.height/1.3
            y: parent.height/13
        }
    }
    Text{
        text: "Teplota: "+teplota+"*C"
        font.pointSize: hlavne.height/30
        y: hlavne.height*0.9
        x:hlavne.width/10
    }
    Text{
        text: "Vlhkosť: "+vlhkost+"%"
        horizontalAlignment: Text.AlignHCenter
        font.pointSize: hlavne.height/30
        y: hlavne.height*0.9
        x:hlavne.width/2.6
    }
    Text{
        text: "Heat index: "+heatIndex
        font.pointSize: hlavne.height/30
        y: hlavne.height*0.9
        x:hlavne.width/1.5
    }
}

